/***************************************************************************//*!
\file est.h
\brief File est.h contains declaration of common data structures.

### Description

    PackageName [EST]
    Synopsis    [Efficient symbolic tools, 2nd Edition]

    FileName    [est.h]
    Revision    [$Revision: 188 $]
    Date        [$Date: 2019-02-07 15:11:19 +0100 (čet, 07 feb 2019) $]
    Authors     [Robert Meolic (robert@meolic.com)]

### Copyright

This file is part of EST (Efficient Symbolic Tools).
Copyright (C) 2003, 2019 UM FERI, Koroska cesta 46, SI-2000 Maribor, Slovenia

EST is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

EST is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
Street, Fifth Floor, Boston, MA 02110-1301 USA.

### More info

See also:

*******************************************************************************/

#ifndef _EST
#define _EST

#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <ctype.h>
#include <stdarg.h>
#include <unistd.h>
#include <math.h>

#ifdef ESTWIN32
#include <process.h>
#endif

/*-----------------------------------------------------------------------*/
/* Constant declarations                                                 */
/*-----------------------------------------------------------------------*/

#ifndef TRUE
#define TRUE (0 == 0)
#endif

#ifndef FALSE
#define FALSE !TRUE
#endif

/*-----------------------------------------------------------------------*/
/* Type declarations                                                     */
/*-----------------------------------------------------------------------*/

typedef char Est_Boolean;
typedef char *Est_String;

#endif
